import 'dotenv/config'
import express from 'express';
import { Express, Request, Response, NextFunction } from 'express'
import fs from 'fs/promises';
import { createReadStream } from 'fs';
import { tmpdir } from 'os';
import { join } from 'path';
import { createHash, Hash } from 'crypto';
import { Database } from 'sqlite3';
import bodyParser from 'body-parser';
import multer from 'multer';
import { v4 as uuid } from 'uuid';
import getType from 'mime';
import type { Logger } from 'winston';
import * as Handlebars from 'handlebars';

import { createLog } from './log'
import { sendMail } from './mail';
import { Shell } from './shell';
import { delay } from './delay';

let log : Logger = createLog('fm');
let logfd : Logger = createLog('fd');

log.info('Starting filmout_manager');

function logfdstd (data : any) {
	logfd.info(data);
}
function logfdstderr (data : any) {
	logfd.error(data);
}

async function main () {
	let shell : Shell = new Shell([ '../filmout_display/build/bin/fd', '2560', '1600' ], logfdstd, logfdstderr, null, true);
	shell.execute();
	await delay(5000);
	shell.kill();
	process.exit();
}

main()